Module: selenium-webdriver
View Source

# namespace logging

Alias for `webdriver.logging`

## Functions

### addConsoleHandler(opt_logger)code »

Adds the console handler to the given logger. The console handler will log all messages using the JavaScript Console API.

Parameters

opt_logger`?webdriver.logging.Logger=`

  The logger to add the handler to; defaults to the root logger.

### getLevel(arg0)code »

Parameters

arg0`(number|string)`

Returns

`webdriver.logging.Level`

### getLogger(arg0)code »

Parameters

arg0`string=`

Returns

`webdriver.logging.Logger`

### installConsoleHandler()code »

Installs the console log handler on the root logger.

### removeConsoleHandler(opt_logger)code »

Removes the console log handler from the given logger.

Parameters

opt_logger`?webdriver.logging.Logger=`

  The logger to remove the handler from; defaults to the root logger.

## Types

Entry

  A single log entry recorded by a WebDriver component, such as a remote WebDriver server.

Level

  The Level class defines a set of standard logging levels that can be used to control logging output.

LogRecord

  LogRecord objects are used to pass logging requests between the logging framework and individual log Handlers.

Logger

  The Logger is an object used for logging debug messages.

Preferences

  Describes the log preferences for a WebDriver session.

Type

  No description.